Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ultrasearch.query
Class Attribute

`java.lang.Object
oracle.ultrasearch.query.Attribute`

Direct Known Subclasses:
  DateAttribute, NumberAttribute, StringAttribute

public abstract class Attribute
extends java.lang.Object

An attribute is a key used to refer to some property of a document.

Attribute class is an abstract parent class for different types of attributes. An concrete attribute has a name and a type. The type refers to the type of the attribute values it can be associated with.

Currently the following types are supported: String, Number, Date. Each are implemented in subclasses StringAttribute, NumberAttribute, DateAttribute.

Note: attribute names should be treated case-insensitively. So string attributes named "Author" and "AUTHOR" refer to the same attribute. Nevertheless, Attribute class leaves capitalization of the name unchanged, so getName() always returns the name used in the construction of the object.

Since:
  9.0.2

Method Summary
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one.
`int` | `getId()` Get the attribute's id
`java.lang.String` | `getName()` Get the attribute's name
`abstract java.lang.String` | `getUniqueName()` Get the attribute's unique name.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getId

    public int getId()

  Get the attribute's id
  Returns:
    attribute integer id

### getName

    public java.lang.String getName()

  Get the attribute's name
  Returns:
    attribute's string name

### getUniqueName

    public abstract java.lang.String getUniqueName()

  Get the attribute's unique name. An unique attribute name is synthesized by concatenating the attribute name with the attribute type, using an underscore.
  For example: a StringAttribute named "A" is uniquely identified by "A_STRING". Likewise for NumberAttribute and DateAttribute: "A_NUMBER", "A_DATE".
  Returns:
    attribute's unique name

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one. Two attribute objects are equal if and only if
  - they are of the same type (class), and
  - they have the same ID.
  Returns:
    true if this attribute is same as the obj argument, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003,2005, Oracle. All Rights Reserved.